Subject: Re: bug#58862: 29.0.50; tab-bar-mode doesn't display after display-time-mode with format option

From: Stefan Kangas <[email-masked]>
Date: Sat, 12 Nov 2022 12:33:55 -0800

Juri Linkov <[email-masked]> writes:

>> Severity: minor
>>
>> In emacs -Q:
>>
>>     0. Evaluate
>>            (setq tab-bar-format '(tab-bar-format-global))
>>     1. M-x tab-bar-mode RET
>>     2. M-x display-time-mode RET
>>
>> The tab bar is not visible.  I expect that it is, just as when I do
>> this:
>>
>>     (progn
>>        (setq tab-bar-format '(tab-bar-format-global))
>>        (tab-bar-mode 1)
>>        (display-time-mode 1))
>
> The tab bar is not visible because an empty tab bar can't be displayed:
>
>   (tab-bar-format-list tab-bar-format)
>   => ((global menu-item "" ignore))
>
> So it works fine when you change the initialization order to:
>
>     0. Evaluate
>            (setq tab-bar-format '(tab-bar-format-global))
>     1. M-x display-time-mode RET
>     2. M-x tab-bar-mode RET

Sorry for the late reply here.  I guess what surprised me is that the
order mattered here.  If you don't think this is a bug, we can close
this.  Thanks.